Kea: isc::http::HttpTimeConversionError Class Reference

| Kea 2.2.0

Public Member Functions | List of all members
isc::http::HttpTimeConversionError Class Reference

Exception thrown when there is an error during time conversion. More...

`#include <date_time.h>`

Inheritance diagram for isc::http::HttpTimeConversionError:
[legend]

## Public Member Functions
| HttpTimeConversionError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception. More...
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception. More...
const std::string & | getMessage () const
| Gets a string describing the cause of the exception. More...
const char * | getFile () const
| Gets the file name where the exception was thrown. More...
size_t | getLine () const
| Gets the line number of the file where the exception was thrown. More...
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number. More...
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number. More...
virtual | ~Exception () throw ()
| The destructor. More...

## Detailed Description

Exception thrown when there is an error during time conversion.

The most common reason for this exception is that the unsupported time format was used as an input to the time parsing functions.

Definition at line 21 of file date_time.h.

## Constructor & Destructor Documentation

## ◆ HttpTimeConversionError()

isc::http::HttpTimeConversionError::HttpTimeConversionError | ( | const char * | file,
|  | size_t | line,
|  | const char * | what
| ) |  |
| inline

Definition at line 23 of file date_time.h.

The documentation for this class was generated from the following file:

- date_time.h